Bug 494678 - Repository version is obsolete
Repository version is obsolete
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-07 14:36 EDT by matt050
Modified: 2009-04-17 14:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.6-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 14:05:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matt050 2009-04-07 14:36:06 EDT
Battle for wesnoth was released in the 1.6 version

We should update the current version, because current is 1.4.7
Comment 1 Gwyn Ciesla 2009-04-07 14:40:44 EDT
Rawhide has version 1.6.  Did you perhaps mean to file this against F-10?
Comment 2 matt050 2009-04-08 17:27:37 EDT
(In reply to comment #1)
> Rawhide has version 1.6.  Did you perhaps mean to file this against F-10?  

yes, I made a mistake :- )
Comment 3 Gwyn Ciesla 2009-04-09 08:50:14 EDT
Warren, I forget, does F-10 currently support the noarch subpackages like F-11 does?  Other than that, any objections?  I'm on the fence here.  It's not too long until F-11 comes out. . .
Comment 4 Warren Togami 2009-04-09 09:32:12 EDT
I thought we can't upgrade to a new major version because it breaks saved game files?

I think koji can handle noarch subpackages for F-10 too, but I need to adjust koji to remove the noarch extra arch (old style of noarch subpackage).
Comment 5 Gwyn Ciesla 2009-04-09 09:49:12 EDT
That was true for 1.4.x, as I recall, as well as that we had an, um, *spirited* discussion on the games list about this.  Not sure if that's true for this release, though.  I don't see anything mentioning this in the manual or CHANGELOG.
Comment 6 Warren Togami 2009-04-09 09:55:48 EDT
You mean you can upgrade from 1.4 to 1.6 and not break saved games?

(Note: I don't particularly care that saved games break.)
Comment 7 Warren Togami 2009-04-09 10:02:54 EDT
A bunch of saved games from 1.4 in my homedir are not in the "Load" dialog of wesnoth-1.6.

(I don't think this should stop us from upgrading wesnoth, but this decision is up to you.)
Comment 8 Gwyn Ciesla 2009-04-09 10:15:29 EDT
rpm changelog agrees with you about noarch subpackages.  If my local 1.6 goes smoothly, I'll update F-10.
Comment 9 Gwyn Ciesla 2009-04-09 14:00:27 EDT
Local build was fine.

Koji build failed due to unpackaged debuginfo files?

http://koji.fedoraproject.org/koji/taskinfo?taskID=1287697
Comment 10 Fedora Update System 2009-04-09 15:32:21 EDT
wesnoth-1.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/wesnoth-1.6-1.fc10
Comment 11 Gwyn Ciesla 2009-04-09 15:34:07 EDT
Hmm.  Thanks Dennis!  What was wrong?
Comment 12 Dennis Gilmore 2009-04-09 16:00:05 EDT
it was not setup to build new style noarch subpackages in F-10. The handling of noarch packaging in this package has been poorly handled.  new style noarch subpackages were not supposed to be introduced in Fedora 10.
Comment 13 Gwyn Ciesla 2009-04-09 16:09:34 EDT
I guess I misunderstood what Warren meant in #4, and took the comments in rpm's changelog to mean that this wouldn't be an issue.  I didn't realize extra hoops on the backend in koji were required. 

What would be a better way to structure the spec in this case?
Comment 14 Warren Togami 2009-04-09 16:17:27 EDT
If it is built for F-10 now, it will work in F-10 from now on.  F-9 however cannot build in this way.
Comment 15 Gwyn Ciesla 2009-04-09 16:26:09 EDT
Nor would I consider building 1.6 there. . .
Comment 16 Fedora Update System 2009-04-13 15:39:01 EDT
wesnoth-1.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wesnoth'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3555
Comment 17 Niels 2009-04-16 04:41:30 EDT
Testing this now.
If this goes in, that should also close the three security issues:
#487704
#487705
#489930
Comment 18 Fedora Update System 2009-04-17 14:05:43 EDT
wesnoth-1.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.